package com.sf.codeBlock;

/**
 * 实例（构造）代码块
 */
public class Test3 {
    private String name;
    {
        System.out.println("实例代码块执行...");
        name = "张三";
    }

    // 构造器
    public Test3(){
        System.out.println("无参构造方法执行...");
    }

    // 有参数构造器
    public Test3(String name){
        System.out.println("有参构造方法执行...");
        this.name = name;
    }

    public static void main(String[] args) {
        Test3 t1 = new Test3();
        Test3 t2 = new Test3("李四");
        System.out.println(t1.name + t2.name);
    }
}
